import { Registry } from './registry';
import { Providers } from './providers';
import { InjectableType } from './types/injectable-type';
import { Instances } from './instances';
export declare class DependencyResolver {
    private readonly registry;
    private readonly providers;
    private readonly instances;
    constructor(registry: Registry, providers: Providers, instances: Instances);
    resolve(type: InjectableType): any;
    private createAndGetSingletone;
    private instantiate;
    private getOriginalConstructor;
}
//# sourceMappingURL=dependency-resolver.d.ts.map