import { InjectableType } from './types/injectable-type';
import { Type } from './types/type';
export declare class Providers {
    private readonly providers;
    /**
     * Configures Dependency Resolver to return on instance of `useClass` instead of `type`;
     * @param type Abstract or non abstract class.
     * @param useClass Non abstract class.
     */
    provide(type: InjectableType, useClass: Type): void;
    getProvider(type: InjectableType): Type;
}
//# sourceMappingURL=providers.d.ts.map