import { Type } from './types/type';
import { InjectionOptions } from './types/injection-options';
import { TypeInfo } from './types/type-info';
import { InjectableType } from './types/injectable-type';
export declare class Registry {
    private readonly registry;
    register(type: Type, options: Partial<InjectionOptions>): void;
    addDependency(type: Type, dep: InjectableType, index: number): void;
    getTypeInfo(target: Type): TypeInfo;
    has(t: Type): boolean;
    private applyOptions;
}
//# sourceMappingURL=registry.d.ts.map