import { InjectableType } from '../types/injectable-type';
/**
 * Injects instance into the constructor argument or into the class property.
 * In parameter inject case all providers have been instantiated during its class instantiation.
 * In property inject case all providers have been instantiated 'by demand'.
 * @param type Provider type.
 */
export declare function Inject(type: InjectableType): (target: any, key: string | symbol, index?: number) => void;
//# sourceMappingURL=inject.d.ts.map