"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DependencyProviders = exports.DependencyContainer = exports.DependencyRegistry = exports.DependencyResolver = void 0;
const container_1 = require("./container");
const dependency_resolver_1 = require("./dependency-resolver");
const instances_1 = require("./instances");
const providers_1 = require("./providers");
const registry_1 = require("./registry");
const registry = new registry_1.Registry();
exports.DependencyRegistry = registry;
const providers = new providers_1.Providers();
exports.DependencyProviders = providers;
const instances = new instances_1.Instances();
const resolver = new dependency_resolver_1.DependencyResolver(registry, providers, instances);
exports.DependencyResolver = resolver;
const container = new container_1.Container(providers);
exports.DependencyContainer = container;
//# sourceMappingURL=startup.js.map