"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectionScopeEnum = void 0;
var InjectionScopeEnum;
(function (InjectionScopeEnum) {
    /**
     * A single instance is shared across the entire application.
     * Singleton scope is used by default.
     */
    InjectionScopeEnum[InjectionScopeEnum["Singletone"] = 1] = "Singletone";
    /**
     * Each consumer will receive a new, dedicated instance.
     */
    InjectionScopeEnum[InjectionScopeEnum["Transient"] = 2] = "Transient";
})(InjectionScopeEnum = exports.InjectionScopeEnum || (exports.InjectionScopeEnum = {}));
//# sourceMappingURL=injection-scope.enum.js.map